/**

 * CSS Tienda de publicaciones 

 * 

 */ 

body.tienda-de-publicaciones{}



body.tienda-de-publicaciones p{

    line-height: 1.2em;

}







/* Productos ----------------------------------------- */

.products{}



.product{

    margin-top: 20px;

    margin-bottom: 20px;

    padding:0 2vw;

    border-right: 1px solid #ededee;

}

.product_wrapper{

    display: flex;

    flex-direction: column;

    height: 100%;

    justify-content: space-between;

    padding-top:10px;

    padding-bottom:10px;

}

.product_img img{

    width:100%;

}

.product_content{    

    padding-top:10px;

    padding-bottom:10px;

    line-height: 1em;;

    display: flex;

    flex-direction: column;

    justify-content: space-between;

    height: 100%;

}

.product_texto{

   margin-bottom:auto;

}



.produt_precio_wrapper{

    margin-top:10px;

}

.product_precio{

    display:inline-block;

}

.product .agotado{

    display:inline-block;

    padding-left:10px;

    color:brown;

}



.product .product_actions .bt-mas,

.product .product_actions .bt-menos{

    border: 1px solid #ced4da;

    font-size: 1rem;

    line-height: 1.1;

}

.product_cantidad_wrapper input{

    text-align:center;

}

.product .btn{

    border-radius:0!important;

}



/* Carrito ----------------------------------------- */





.bt-carrito .badge{

    font-weight: normal;

    font-size: 14px;

    line-height: 0.8em;

    padding: .35em .45em;

    top:0;

}



.carrito_list{

    border-bottom: 4px dotted #bdbdbd;

    margin-bottom: 20px;

    padding-bottom:10px;

}

.carrito_list-items li.row-header{

    padding-bottom:0;

}

.carrito_list-items li.row-header .badge{

    font-weight: 700;

}

.carrito_list-items li.row-header.badges .badge.col-delete{

    text-align: center;

}



.carrito_list-items :not(li.row-header) .badges .badge{

    padding:2px 10px;

    text-align:right;

    display:inline-block;

    font-weight: normal;

}

.carrito_list-items li .col-tit{

    line-height: 1em;

    max-width: 60%;

}



.carrito_list-items li .badges .badge.col-cant{

    min-width:30px;

}

.carrito_list-items li .badges .badge.col-precio{

    min-width:60px;

}

.carrito_list-items li .badges .badge.col-delete{

    min-width:40px;

}



/* Toast / Alert -------------------------------------- */

#toast_container{

    position: fixed;

    top: 0;

    width: 100%;

    left: 0;

    z-index:20000;

    text-align: center;

}

.toast{

    font-size:1rem;

    width: 500px;

    max-width: 90vw;

    flex-basis: 500px;

    margin-left: auto;

    margin-right: auto;

    border-radius:0;

    transform: translateX(-8px);

}

.toast-body{

    position:relative;

    text-align: left;

    padding:1rem 1rem 1rem 2rem;

}

.toast-body .close{

    position: absolute;

    top:15px;

    right:15px;

    opacity: 1;

    text-shadow: none;

    color:#ffffff;

}

/* MODAL */
#modal-carrito .modal-dialog-centered.modal-dialog-scrollable .modal-content{
    max-height: 70vh;
}
